CFD Online Discussion Forums

CFD Online Discussion Forums (
-   OpenFOAM Installation (
-   -   upgrade 2.2.0 to 2.2.1 (

immortality August 26, 2013 13:10

upgrade 2.2.0 to 2.2.1
for installing 2.2.1 version we should install it from first?isn't it possible to upgrade from 2.2.0?

wyldckat August 26, 2013 18:12

You can have both OpenFOAM 2.2.0 and 2.2.1 installed at the same time.
But you'll only be able to use one version per terminal window/tab, as explained here: Advanced tips for working with the OpenFOAM shell environment

immortality August 26, 2013 18:16

hi Bruno
I said it not clear,sorry.
I mean should i download 2.2.1 necessarily ant isn't there a way to upgrade 2.2.0 to 2.2.1 without downloading unchanged parts(files)? :)

wyldckat August 27, 2013 16:54

Hi Ehsan,

Mmm... well, for the Debian package, there isn't such a possibility.

I know that openSUSE and RPM based Linux Distributions support partial RPM updates, which only provide a patch for the actual update. But the official OpenFOAM distribution does not have this feature for the RPM packages that are released for Fedora and openSUSE.

As for Debian packages, I'm not aware of any patch based mechanism being used.

The only way I can think of is to follow the git versions of OpenFOAM, where the source code updates are relative. Problem is that you need to rebuild the libraries/applications for which the source code was modified. And there is the risk of having an unstable installation of OpenFOAM, such as what happened back in... I can't remember if it was 2.0.x or 2.1.x, but I remember that in one of them, parts of the combustion/diesel models stopped working...

The bottom line is: the software is free and open source, but you better have a good internet access :D
Or download files at the University... :rolleyes:

But in the end: you are almost finishing your master thesis. Keep in mind that any upgrade can be a risk at this stage.

Best regards,

All times are GMT -4. The time now is 19:39.